Bug 152671 - Web Inspector: add a DebugUI context menu item for saving inspector protocol traffic to file
Summary: Web Inspector: add a DebugUI context menu item for saving inspector protocol ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks: InspectorDebug
  Show dependency treegraph
 
Reported: 2016-01-03 15:23 PST by Brian Burg
Modified: 2020-09-10 14:54 PDT (History)
7 users (show)

See Also:


Attachments
Proposed Fix (27.53 KB, patch)
2016-01-03 16:09 PST, Brian Burg
timothy: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-01-03 15:23:28 PST
Yay.
Comment 1 Radar WebKit Bug Importer 2016-01-03 15:23:41 PST
<rdar://problem/24034007>
Comment 2 Brian Burg 2016-01-03 16:09:27 PST
Created attachment 268153 [details]
Proposed Fix
Comment 3 Timothy Hatcher 2016-01-04 10:58:23 PST
Comment on attachment 268153 [details]
Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=268153&action=review

> Source/WebInspectorUI/UserInterface/Base/Main.js:1390
> +        }, /* checked */ isCapturingTraffic);

Comment here isn't that useful.

> Source/WebInspectorUI/UserInterface/Base/Main.js:1394
> +        protocolSubMenu.appendItem(WebInspector.unlocalizedString("Export Trace..."), () => {

Proper ellipsis.

> Source/WebInspectorUI/UserInterface/Base/Main.js:1397
> +        }, /* disabled */ !isCapturingTraffic);

Ditto.
Comment 4 Brian Burg 2016-01-04 12:37:29 PST
Committed r194546: <http://trac.webkit.org/changeset/194546>
Comment 5 Joseph Pecoraro 2016-01-04 19:01:30 PST
Comment on attachment 268153 [details]
Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=268153&action=review

> Source/WebInspectorUI/UserInterface/Debug/ProtocolTrace.js:37
> +    addEntry(entry) {

Style: Braces

> Source/WebInspectorUI/UserInterface/Debug/ProtocolTrace.js:41
> +    get saveData() {

Style: Braces